 <node>
  <interface name='com.canonical.Unity.Webapps.Context'>
    
    <method name="AddIcon">
      <arg type='s' name='IconUrl' direction="in"/>
      <arg type='i' name='Size' direction="in"/>
    </method>
    
    <method name="GetIconName">
      <arg type='s' name='IconName' direction="out"/>
    </method>

    <method name="AddInterest">
      <arg type='i' name='id' direction='out'/>
    </method>

    <method name="LostInterest">
      <arg type='i' name='id' direction='in'/>
      <arg type="b" name='user_abandoned' direction='in' />
    </method>
    
    <method name="GetInterestCount">
      <arg type='i' name='count' direction='out'/>
    </method>
    
    <method name="ListInterests">
      <arg type='ai' name="interests" direction='out'/>
    </method>
    
    <method name="GetInterestOwner">
      <arg type="i" name="interest" direction="in"/>
      <arg type="s" name="owner" direction="out"/>
    </method>

    <method name="Shutdown">
    </method>
    
    <method name="Raise">
      <arg type="as" name="files" direction="in"/>
    </method>
    <method name="Close">
    </method>

    <method name="CloseInterest">
      <arg type="i" name="interest" direction="in"/>
    </method>

    <method name="RaiseInterest">
      <arg type="i" name="interest" direction="in"/>
    </method>
    
    <method name="GetViewIsActive">
      <arg type='i' name='interest' direction="in"/>
      <arg type='b' name='active' direction='out'/>
    </method>
    <method name="SetViewIsActive">
      <arg type='i' name='interest' direction="in"/>
      <arg type='b' name='active' direction="in"/>
    </method>

    <signal name="ViewIsActiveChanged">
      <arg type='i' name='interest' direction='out'/>
      <arg type='b' name='active' direction='out'/>
    </signal>

    <method name="GetViewLocation">
      <arg type='i' name='interest' direction="in"/>
      <arg type='s' name='location' direction='out'/>
    </method>
    <method name="SetViewLocation">
      <arg type='i' name='interest' direction="in"/>
      <arg type='s' name='location' direction="in"/>
    </method>
    
    <method name="RequestPreview">
      <arg type='i' name='interest' direction='in'/>
      <arg type='s' name='data' direction='out'/>
    </method>
    
    <method name="PreviewReady">
      <arg type="i" name="interest" direction="in"/>
      <arg type="s" name="data" direction="in"/>
    </method>

    <method name="GetApplicationAcceptData">
      <arg type="as" name="names" direction="out"/>
    </method>
    <method name="SetApplicationAcceptData">
      <arg type="as" name="names" direction="in"/>
      <arg type="i" name="interest" direction="in"/>
    </method>

    <method name="AddApplicationActions">
      <arg type="as" name="names" direction="in"/>
      <arg type="i" name="interest" direction="in"/>
    </method>
    <method name="RemoveApplicationAction">
      <arg type="s" name="name" direction="in"/>
      <arg type="i" name="interest" direction="in"/>
    </method>
    <method name="RemoveApplicationActions">
      <arg type="i" name="interest" direction="in"/>
    </method>

    <signal name="ViewLocationChanged">
      <arg type='i' name='interest' direction='out'/>
      <arg type='s' name='location' direction='out'/>
    </signal>
    
    <method name="GetViewWindow">
      <arg type="i" name="interest" direction="in"/>
      <arg type="t" name="window" direction="out"/>
    </method>

    <method name="SetViewWindow">
      <arg type='i' name='interest' direction="in"/>
      <arg type='t' name='window' direction="in"/>
    </method>
    
    <method name="SetHomepage">
      <arg type='s' name="homepage" direction="in"/>
    </method>


    <signal name="ViewWindowChanged">
      <arg type='i' name='interest' direction='out'/>
      <arg type='t' name='window' direction='out'/>
    </signal>

    <signal name="XidChanged">
    </signal>

    
    <signal name="ContextReady">
      <arg type='s' name='version' direction='out'/>
    </signal>
    <signal name="NoInterest">
      <arg type='b' name='user_abandoned' direction='in'/>
    </signal>
    
    <signal name="InterestAppeared">
      <arg type='i' name='interest' direction='out'/>
    </signal>
    <signal name="InterestVanished">
      <arg type='i' name='interest' direction='out'/>
    </signal>

    <signal name='AcceptDataChanged'>
      <arg type='as' name="files" direction="out"/>
    </signal>

    <signal name='RaiseRequested'>
      <arg type='i' name="interest" direction="out"/>
      <arg type='as' name="files" direction="out"/>
    </signal>
    
    <signal name='CloseRequested'>
      <arg type='i' name='interest' direction='out'/>
    </signal>
    
    <signal name='PreviewRequested'>
      <arg type='i' name='interest' direction='out'/>
    </signal>
    
    <signal name='ApplicationActionInvoked'>
      <arg type='s' name='name' direction='out'/>
    </signal>
    
    <property name="ViewIsActive" type="b" access="readwrite"></property>
    
    <property name="Name" type="s" access="read"></property>
    <property name="Domain" type="s" access="read"></property>
    <property name="DesktopName" type="s" access="read"></property>
    
    <property name="FocusInterest" type="i" access="read"></property>
    

  </interface>
</node>
